DirectMessagesController_setState
PATCH
/api/streams/direct-messages/{id}/state
const url = 'https://api.streams.chat/api/streams/direct-messages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/state';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"action":"hide","observedActivityAt":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.streams.chat/api/streams/direct-messages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/state \ --header 'Content-Type: application/json' \ --data '{ "action": "hide", "observedActivityAt": "2026-04-15T12:00:00Z" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid